Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class IllegalStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.IllegalStateException

All Implemented Interfaces:
  Serializable

public class IllegalStateException
extends ResourceException

A IllegalStateException is thrown when a method has been invoked on an object which is in the wrong state to execute the method.

See Also:
  Serialized Form

Constructor Summary
`IllegalStateException()` Create an exception.
`IllegalStateException(String reason)` Create an exception with a reason.
`IllegalStateException(String reason, String errorCode)` Create an exception with a reason and an errorCode.
`IllegalStateException(String reason, Throwable cause)` Create an exception with a reason and cause.
`IllegalStateException(Throwable cause)` Create an exception with a cause.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalStateException

    public IllegalStateException()

  Create an exception.

### IllegalStateException

    public IllegalStateException(String reason)

  Create an exception with a reason.

### IllegalStateException

    public IllegalStateException(String reason,
                                 String errorCode)

  Create an exception with a reason and an errorCode.

### IllegalStateException

    public IllegalStateException(String reason,
                                 Throwable cause)

  Create an exception with a reason and cause.

Parameters:
  `reason` - the reason
  `cause` - the cause

### IllegalStateException

    public IllegalStateException(Throwable cause)

  Create an exception with a cause.

Parameters:
  `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.